### Method

# Gtk ComboBoxText insert_text

#### Declaration [src]

    void
    gtk_combo_box_text_insert_text (
      GtkComboBoxText* combo_box,
      int position,
      const char* text
    )

#### Description [src]

Inserts `text` at `position` in the list of strings stored in `combo_box`.

If `position` is negative then `text` is appended.

This is the same as calling gtk_combo_box_text_insert() with a `NULL` ID string.

#### Parameters

`position` | `int`
| An index to insert `text`.
`text` | `const char*`
| A string.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.